Package dev.plex.punishment

# Enum Class PunishmentType

java.lang.Object
java.lang.Enum<PunishmentType>
dev.plex.punishment.PunishmentType

All Implemented Interfaces:
  `Serializable`, `Comparable<PunishmentType>`, `Constable`

public enum PunishmentType extends Enum<PunishmentType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BAN`
`FREEZE`
`KICK`
`MUTE`
`SMITE`
`TEMPBAN`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`PunishmentType()`

## Method Summary

Modifier and Type
Method
Description
`static PunishmentType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PunishmentType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MUTE

public static final PunishmentType MUTE

### FREEZE

public static final PunishmentType FREEZE

### BAN

public static final PunishmentType BAN

### KICK

public static final PunishmentType KICK

### SMITE

public static final PunishmentType SMITE

### TEMPBAN

public static final PunishmentType TEMPBAN

## Constructor Details

### PunishmentType

private PunishmentType()

## Method Details

### values

public static PunishmentType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PunishmentType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null